org.apache.uima.resource.impl

## Class SessionNamespaceView_impl

- java.lang.Object
- - org.apache.uima.resource.impl.SessionNamespaceView_impl

- All Implemented Interfaces:
    Serializable, Session

      public class SessionNamespaceView_impl
      extends Object
      implements Session

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SessionNamespaceView_impl(Session aRootSession, String aNamespace)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `get(String aKey)` Gets an object from the Session
    `void` | `put(String aKey, Object aValue)` Stores an object in the Session
    `void` | `setRootSession(Session aSession)` Sets the root session for this view.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SessionNamespaceView_impl

          public SessionNamespaceView_impl(Session aRootSession,
                                           String aNamespace)

  - ### Method Detail

    - #### put

          public void put(String aKey,
                          Object aValue)

      Description copied from interface: `Session`
      Stores an object in the Session
      Specified by:
        `put` in interface `Session`
      Parameters:
        `aKey` - Key
        `aValue` - Value

    - #### get

          public Object get(String aKey)

      Description copied from interface: `Session`
      Gets an object from the Session
      Specified by:
        `get` in interface `Session`
      Parameters:
        `aKey` - Key
      Returns:
        the associated value

    - #### setRootSession

          public void setRootSession(Session aSession)

      Sets the root session for this view. Not part of Session interface.
      Parameters:
        `aSession` - the root session

Copyright © 2006–2021 The Apache Software Foundation. All rights reserved.